
Foreman - Bug #7335

organizations UI "All users" toggle not checking permissions for being displayed

09/03/2014 10:24 AM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Users, Roles and Permissions   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1136893 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2242

  

Description

Users that do not have the ability to see all users should not be shown the UI toggle to add them to an organization. The same goes

for the other resources types (Smart Proxies, Subnets, etc.).

The user should have edit org and view all users to see the toggle.

Related issues:

Related to Foreman - Bug #7221: Edit organization displays associated resourc... Closed 08/21/2014

Related to Foreman - Bug #10868: Selecting "All $RESOURCE" for a taxonomy res... Closed 06/18/2015

Related to Foreman - Bug #11376: Organization editor does not display the Loc... Closed 08/16/2015

Associated revisions

Revision 42a712b3 - 04/29/2015 04:23 AM - Tomer Brisker

Fixes #7335 - Refactor taxonomy form, display "select all" checkbox only if permitted

History

#1 - 09/03/2014 10:25 AM - Thomas McKay

- Bugzilla link set to 1136893

#2 - 09/03/2014 10:57 AM - Dominic Cleal

- Related to Bug #7221: Edit organization displays associated resources for use w/o permissions added

#3 - 09/03/2014 10:57 AM - Dominic Cleal

- Category changed from Web Interface to Users, Roles and Permissions

#4 - 03/18/2015 06:25 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#5 - 03/18/2015 10:50 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2242 added

- Pull request deleted ()

#6 - 04/29/2015 04:33 AM - Dominic Cleal

- translation missing: en.field_release set to 35

#7 - 04/29/2015 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 42a712b356f7dabcad7e6a27d23cfb3253e463cf.

#8 - 06/23/2015 06:21 AM - Dominic Cleal

- Related to Bug #10868: Selecting "All $RESOURCE" for a taxonomy results in error 'uninitialized constant' added

#9 - 08/17/2015 03:08 AM - Dominic Cleal

- Related to Bug #11376: Organization editor does not display the Location tab added
